element-dataset

HTMLElement.dataset polyfill

94.46% Supported (https://github.com/discontinued/element-dataset)
Last updated 3 years ago by epiloque .
BSD-3-Clause · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install element-dataset 
SYNC missed versions from official npm registry.

NPM version Build Status

element-dataset

Polyfills the HTMLElement.dataset property, does not overdrive the prototype with non-standard methods, falls back to native implementation. Tested on IE 8/9/10, Chrome 16+, FireFox 5+.

To start using in your website, download the AMD module.

Or install it as a npm module (supports Webpack and Browserify):

$ npm install --save element-dataset

Thanks

Thanks to Brett Zamir, Elijah Grey

Thanks to BrowserStack for providing the infrastructure that allows us to run our build in real browsers.

License

element-dataset is released under the terms of the BSD-3-Clause license.

This software includes or is derivative of works distributed under the licenses listed below. Please refer to the specific files and/or packages for more detailed information about the authors, copyright notices, and licenses.

  • Elijah Grey's html5-dataset.js is is released under the terms of the LGPL license.
  • Brett Zamir's html5-dataset.js is is released under the terms of the X11/MIT license.

Current Tags

  • 2.2.6                                ...           latest (3 years ago)

9 Versions

  • 2.2.6 [deprecated]           ...           3 years ago
  • 2.2.5 [deprecated]           ...           3 years ago
  • 2.2.4 [deprecated]           ...           3 years ago
  • 2.2.3 [deprecated]           ...           3 years ago
  • 2.2.2 [deprecated]           ...           3 years ago
  • 2.2.1 [deprecated]           ...           3 years ago
  • 1.3.0 [deprecated]           ...           4 years ago
  • 1.2.0 [deprecated]           ...           4 years ago
  • 1.0.0 [deprecated]           ...           4 years ago

Copyright 2014 - 2017 © taobao.org |